<?php
/**
 * @package    Publications
 * administrator/components/com_publications/admin.publications.php
 * @link http://www.icsr.agh.edu.pl/~polak/skrypty/publications.var
 * @license    GNU/GPL
 */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
/**
 * General Controller of Publications component
 *
 */
class PublicationsController extends JControllerLegacy
{
	protected $default_view = 'publications';

	function save() {
		$model = $this->getModel('publications');
		//store  the  title in a file  
    		$result = $model->storeTitle(JFactory::getApplication()->input->get('title'));
		switch($result){
      			//file is not writable - title wasn't written
    			case 1:
      				$msg=JTEXT::sprintf('COM_PUBLICATIONS_NOT_WRITABLE',JPATH_COMPONENT_ADMINISTRATOR.DS.'publications_settings.php');
      				$type='error';
      				break;
      			//title was written
    			case 0:
      				$msg= JText::_( 'COM_PUBLICATIONS_SETTINGS_SAVED' );
      				$type='message';
      				break;
          	}
    		$link = 'index.php?option=com_publications';
    		$this->setRedirect($link, $msg,$type);
	}
}
