<?php
/**
 * Publications Model for Publications Component
 *
 * @package    Publications
 * components/com_publications/publications.php
 * @link http://www.icsr.agh.edu.pl/~polak/skrypty/publications.var
 * @license    GNU/GPL
 */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
/**
 * Publications Model
 *
 */
class PublicationsModelPublications extends JModelAdmin {
	public function getTable($type = 'Publications', $prefix = 'PublicationsTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	/**
   	* Retrieves the category title
   	* @return string category title
   	*/
/*
  	function getTitle() {
    		//read a category title from the 'publications_settings.php' file
                require(JPATH_COMPONENT_ADMINISTRATOR.DIRECTORY_SEPARATOR.'publications_settings.php');
    		return $publications_title;
  	}
*/

	public function getForm($data = array(), $loadData = true)
	{
		// Get the form.
		$form = $this->loadForm(
			'com_publications.publications',
			'publications',
			array(
				'control' => 'jform',
				'load_data' => $loadData
			)
		);
 
		if (empty($form))
		{
			return false;
		}
 
		return $form;
	}
	/**
   	* Retrieves the category title
   	* @return string category title
   	*/

  	function getTitle() {
    		//read a category title from the 'publications_settings.php' file
    		require_once( JPATH_COMPONENT_ADMINISTRATOR.DIRECTORY_SEPARATOR.'publications_settings.php' );
    		return $publications_title;
  	}

  /**
   * Stores category title in a file
   * @return 0
   */


	function storeTitle($title){
    		//where to store the title
    		$configfile=JPATH_COMPONENT_ADMINISTRATOR.DIRECTORY_SEPARATOR.'publications_settings.php' ;
    		@chmod ($configfile, 0666);
    		//check if the file is writable
    		$permission = is_writable($configfile);
    		if (!$permission) 
      			return 1; //not writeable
    		else{
      			$config  = "<?php\n";
      			$config .= 'defined(\'_JEXEC\') or die(\'Restricted access\');';
      			$config .="\n";
      			$config .= '$publications_title = '."'". $title. "';\n";
      			$config .= "?>";
      			if ($fp = fopen("$configfile", "w")) {
        			fputs($fp, $config, strlen($config));
        			fclose ($fp);
      			}
      			return 0; //title has been saved
    		}
  	}
}
