<?php
/*
 * Display a list of publication according to years
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
JLoader::register('ContentHelperRoute', JPATH_SITE . '/components/com_content/helpers/route.php');
//include a file with a search form
require('_header.php');?>
<p></p>
<h6><?php echo JText::_('COM_PUBLICATIONS_LIST_OF_PUBLICATIONS') ?></h6><p></p>
<?php echo $this->pagination->getPagesCounter(); ?>
<table class='table'>
<thead>
<tr>
<th width="25%">
<?php echo JText::_( 'COM_PUBLICATIONS_YEAR' ); ?>
</th>
<th>
<?php echo JText::_( 'COM_PUBLICATIONS_NUMBER_OF_PUBLICATIONS' ); ?>
</th>
</tr>
</thead>
<?php
$k = 0;
//iterate over years of publication
foreach ($this->years as $year)
{
  //build a DOM tree
  $doc = new DomDocument();
  @$doc->loadHTML($year->introtext);
?>
    <tr class="<?php echo "sectiontableentry".($k%2+1); ?>">
       <td>
       <?php 
  	 echo '<a href="'.JRoute::_(ContentHelperRoute::getArticleRoute($year->id,$this->get('CategoryId'))).'">';;
  	 echo $year->title; ?></a>
                           </td>
                           <td>
                           <?php echo $doc->getElementsByTagName("li")->length ?>
                           </td>
                           </tr>
                           <?php $k++;
} ?>
</table>
<form id='adminForm' name='adminForm'>
<?php echo $this->pagination->getListFooter();?>
</form>
<?php
#include a file with an author's name
require('_footer.php'); ?>
</td></tr>
</table>

