<?php
/*
 * Display search results
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
#include file header with a form
require('_header.php');
$case=JFactory::getApplication()->input->get('case');
$string=JFactory::getApplication()->input->get('string','','raw');
setlocale(LC_ALL, "en_US.utf8");
$string = iconv("utf-8", "ascii//TRANSLIT", $string); //Replace Polish diacritics with ACII characters
$forbiddenString=JFactory::getApplication()->input->get('forbiddenString','','raw');
foreach($this->items as $item){
  //build a DOM tree
  $doc = new DomDocument();
  $doc->formatOutput = true;
  $html = mb_convert_encoding($item->introtext, 'HTML-ENTITIES', "UTF-8");
  @$doc->loadHTML($html);
  try{
    $xp = new DomXpath($doc);
  }
  catch (Exception $e) {
    JError::raiseError( 500, JText::sprintf('COM_PUBLICATIONS_CAUGHT_EXCEPTION', $e->getMessage()));
  }
  if(!strcmp($case,'sensitive')){
    //if 'case sensitive' was chosen
    if(strlen($forbiddenString) == 0)
        //$res = $xp->query("//li[contains(.,'$string')]");
        $res = $xp->query("//li[contains(translate(.,'ąćęłńóśźżĄĆĘŁŃÓŚŹŻ','acelnoszzACELNOSZZ'),'$string')]");
    else
        //$res = $xp->query("//li[contains(.,'$string') and not(contains(.,'$forbiddenString')) ]");
        $res = $xp->query("//li[contains(translate(.,'ąćęłńóśźżĄĆĘŁŃÓŚŹŻ','acelnoszzACELNOSZZ'),'$string') and not(contains(.,'$forbiddenString'))]");
  }
  else {
    //if 'case insensitive' was chosen
    $string=mb_strtoupper($string);
    $forbiddenString=mb_strtoupper($forbiddenString);
    if(strlen($forbiddenString) == 0)
        $res = $xp->query("//li[contains(translate(.,'abcdefghijklmnopqrstuvwxyząćęłńóśźż','ABCDEFGHIJKLMNOPQRSTUVWXYZACELNOSZZ'),'$string')]");
    else
        $res = $xp->query("//li[contains(translate(.,'abcdefghijklmnopqrstuvwxyząćęłńóśźż','ABCDEFGHIJKLMNOPQRSTUVWXYZACELNOSZZ'),'$string') and not(contains(translate(.,'abcdefghijklmnopqrstuvwxyząćęłńóśźż','ABCDEFGHIJKLMNOPQRSTUVWXYZĄĆĘŁŃÓŚŹŻ'),'$forbiddenString'))]");
  }
  //was the searched word found
  if($res->length > 0){
    print "<h2>$item->title</h2>\n";
    print "<ol>\n";
    foreach($res as $li){
        $str=html_entity_decode($doc->saveXML($li));
        //$str = $doc->saveXML($li);
        #$str = preg_replace('~&#x([0-9a-f]+);~ei', 'chr(hexdec("\\1"))', $str);
        #$str = preg_replace('~&#([0-9]+);~e', 'chr("\\1")', $str);
        //$str= utf8_decode($str);
        echo "$str\n";
}
    print "</ol>\n";
  }
}
?>
<?php
#include a file with an author's name
require('_footer.php');
?>
</td></tr>
</table>


